=== modified file 'lib/canonical/uuid.py'
--- lib/canonical/uuid.py	2009-06-25 05:30:52 +0000
+++ lib/canonical/uuid.py	2010-04-12 19:44:21 +0000
@@ -7,7 +7,7 @@
 
 __all__ = ['generate_uuid']
 
-import time, random, subprocess, thread, sha
+import time, random, subprocess, thread, hashlib
 
 from canonical.base import base
 
@@ -72,8 +72,8 @@
             raise RuntimeError(
                     "Error running ifconfig -a (%d)" % ifconfig.returncode
                     )
-        _machine_secret = base(long(sha.new(blob).hexdigest(), 16), 62)
+        _machine_secret = base(long(hashlib.sha1(blob).hexdigest(), 16), 62)
 
-    return base(long(sha.new('%s.%s.%s.%s' % (
+    return base(long(hashlib.sha1('%s.%s.%s.%s' % (
         time.time(), random.random(), thread.get_ident(), _machine_secret
         )).hexdigest(), 16), 62)

